| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Attributes | List of all members
Ogre::EntityMeshLodChangedEvent Struct Reference
Core » LOD

Struct containing information about a mesh LOD change event for entities. More...

`#include <OgreLodListener.h>`

## Public Attributes
Camera * | camera
| The camera with respect to which the level of detail has changed. More...
Entity * | entity
| The entity whose level of detail has changed. More...
Real | lodValue
| LOD value as determined by LOD strategy. More...
ushort | newLodIndex
| New level of detail index. More...
ushort | previousLodIndex
| Previous level of detail index. More...

## Detailed Description

Struct containing information about a mesh LOD change event for entities.

## Member Data Documentation

## ◆ entity

Entity* Ogre::EntityMeshLodChangedEvent::entity

The entity whose level of detail has changed.

## ◆ camera

Camera* Ogre::EntityMeshLodChangedEvent::camera

The camera with respect to which the level of detail has changed.

## ◆ lodValue

Real Ogre::EntityMeshLodChangedEvent::lodValue

LOD value as determined by LOD strategy.

## ◆ previousLodIndex

ushort Ogre::EntityMeshLodChangedEvent::previousLodIndex

Previous level of detail index.

## ◆ newLodIndex

ushort Ogre::EntityMeshLodChangedEvent::newLodIndex

New level of detail index.

The documentation for this struct was generated from the following file:

- OgreLodListener.h